Package org.apache.lucene.analysis.miscellaneous

# Class FixBrokenOffsetsFilter

java.lang.Object
org.apache.lucene.util.AttributeSource
org.apache.lucene.analysis.TokenStream
org.apache.lucene.analysis.TokenFilter
org.apache.lucene.analysis.miscellaneous.FixBrokenOffsetsFilter

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`, `Unwrappable<TokenStream>`

@Deprecated public final class FixBrokenOffsetsFilter extends TokenFilter
Deprecated.
Fix the token filters that create broken offsets in the first place.
A filter to correct offsets that illegally go backwards.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.apache.lucene.util.AttributeSource

  `AttributeSource.State`

- ## Field Summary

  ### Fields inherited from class org.apache.lucene.analysis.TokenFilter

  `input`

  ### Fields inherited from class org.apache.lucene.analysis.TokenStream

  `DEFAULT_TOKEN_ATTRIBUTE_FACTORY`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FixBrokenOffsetsFilter(TokenStream in)`
  Deprecated.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `end()`
  Deprecated.
  `boolean`
  `incrementToken()`
  Deprecated.
  `void`
  `reset()`
  Deprecated.

  ### Methods inherited from class org.apache.lucene.analysis.TokenFilter

  `close, unwrap`

  ### Methods inherited from class org.apache.lucene.util.AttributeSource

  `addAttribute, addAttributeImpl, captureState, clearAttributes, cloneAttributes, copyTo, endAttributes, equals, getAttribute, getAttributeClassesIterator, getAttributeFactory, getAttributeImplsIterator, hasAttribute, hasAttributes, hashCode, reflectAsString, reflectWith, removeAllAttributes, restoreState, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### FixBrokenOffsetsFilter

    public FixBrokenOffsetsFilter(TokenStream in)
    Deprecated.

- ## Method Details

  - ### incrementToken

    public boolean incrementToken() throws IOException
    Deprecated.
    Specified by:
      `incrementToken` in class `TokenStream`
    Throws:
      `IOException`

  - ### end

    public void end() throws IOException
    Deprecated.
    Overrides:
      `end` in class `TokenFilter`
    Throws:
      `IOException`

  - ### reset

    public void reset() throws IOException
    Deprecated.
    Overrides:
      `reset` in class `TokenFilter`
    Throws:
      `IOException`